/* eslint-disable @typescript-eslint/no-unused-vars */
/*
 * @Author: zhou lei
 * @Date: 2022-01-21 09:23:56
 * @LastEditTime: 2022-01-22 09:58:04
 * @LastEditors: zhou lei
 * @Description:
 * @FilePath: /wms_haiwai_app/types/vue-prototype.d.ts
 * 联系方式:910592680@qq.com 18669792120  
 */
import Vue from 'vue';
//    在 types/vue.d.ts 里 Vue 有构造函数类型

declare module 'vue/types/vue' {
  interface Vue {
    // $myProperty: string;
    /**
     * 自定义弹窗提示
     * @param {string} msg 消息
     * @param {string} [type='toast'] 类型
     * @param {string} [title=''] 标题
     * @memberof Vue
     */
    customToast(msg: string, type?: string = 'toast', title?: string = ''): void;
    $u: {
      trim(v: any);
    };
    /**
     * search trim 去空格
     *
     * @param {*} v
     * @param {*} key
     * @memberof Vue
     */
    searchchange(v: any, key: any): void;
  }
}
